#if !defined(AFX_MAINFRM_H__62646EE7_6C8D_4E33_B457_1737B71FC401__INCLUDED_)
#define AFX_MAINFRM_H__62646EE7_6C8D_4E33_B457_1737B71FC401__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar	m_wndStatusBar;
	CToolBar	m_wndToolBar, m_wndNavToolBar, m_wndZoomToolBar;
	CChildView	m_wndView;
	CMenu		m_wndWavesMenu, m_wndVSTMenu;
	CFileDialog* m_pOpenRequester;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnFileNew();
	afx_msg void OnFileLoad();
	afx_msg void OnFileClose();
	afx_msg void OnVstEdit();
	afx_msg void OnUpdateFileClose(CCmdUI* pCmdUI);
	afx_msg void OnViewToolbar2();
	afx_msg void OnUpdateViewToolbar2(CCmdUI* pCmdUI);
	afx_msg void OnUpdateButtonPlay(CCmdUI* pCmdUI);
	afx_msg void OnButtonPlay();
	afx_msg void OnUpdateButtonStop(CCmdUI* pCmdUI);
	afx_msg void OnButtonStop();
	afx_msg void OnViewToolbar3();
	afx_msg void OnUpdateViewToolbar3(CCmdUI* pCmdUI);
	afx_msg void OnButtonPause();
	afx_msg void OnUpdateButtonPause(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileRender(CCmdUI* pCmdUI);
	afx_msg void OnFileRender();
	afx_msg void OnVstRemove();
	afx_msg void OnUpdateVstRemove(CCmdUI* pCmdUI);
	afx_msg void OnUpdateVstEdit(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


//No i w koncu cos mojego!
protected:
	bool OnVSTMenu(UINT, int, void*, AFX_CMDHANDLERINFO*);
	void FillVSTMenu(void);
	HMENU GetVSTPopupHandle(void);
	HMENU GetWavesPopupHandle(void);

	void DockControlBarLeftOf(CToolBar* Bar,CToolBar* LeftOf);

	WaveEngine	Engine;
	VSTPlugin*	pPluginHost;
	WavePlayer*	pPlayer;

	bool NavToolBarVisible, ZoomToolBarVisible;
	int inMenuPlugPos;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__62646EE7_6C8D_4E33_B457_1737B71FC401__INCLUDED_)
