#pragma once
#define WF_READ  0
#define WF_WRITE 1

class WaveFile
{
public:
	WaveFile();
	~WaveFile();

	bool Open(const char* fName, bool mode);
	void Close(void);
	void Seek(DWORD pos); //pos - numer sampla!
	DWORD GetDataBlock(char* buff, DWORD size);
	DWORD PutDataBlock(char* buff, DWORD size);
	bool WriteHeader(DWORD size);

	DWORD GetDataSize(void); //NumSamples! = (fSize - 44) / 4 (stereo -/2, 16b - /2)
	void  GetFileName(char* pToBuff);
	
private:
	char buffer[2048];
	DWORD LastRead;
	DWORD LastWritten;
	bool isOpen;

	HANDLE hFile;
	char name[MAX_PATH];
	DWORD size;
};