//PlayPosition w BAJTACH!!!!
#pragma once
#include "vstplugin.h"
#include <mmsystem.h>

#include <list>
#include <cmath>
using namespace std;

class WavePlayer
{
public:

	WavePlayer(VSTPlugin* pServer);
	~WavePlayer();

	bool InitDevice(DWORD bSize, BYTE nBuffers, BYTE nChannels, DWORD SampleRate, BYTE BitsPerSample);
	bool UnInit(void);

	bool StartPlaying(DWORD, DWORD);
	bool StopPlaying(void);
	bool Pause(void);
	bool Resume(void);
;	bool Rewind(DWORD position, WORD speed);
	bool FastForward(DWORD position, WORD speed);
	bool SetVolume(DWORD);
	bool SetPitch(double);
	void SetLooping(bool);
	DWORD GetVolume(void);
	DWORD GetPlayPosition(void);

	bool isPaused(void);
	bool _isPlaying(void);
	
	MMRESULT _GetLastError(void);
	
protected:

	static list<WAVEHDR*> BufferList;
	static void CALLBACK Callback(HWAVEOUT, UINT, DWORD, DWORD, DWORD);
	static CRITICAL_SECTION CriticalSection;
	
	static DWORD PlayPosition;
	static DWORD StartPosition;
	static DWORD EndPosition;

	static HWAVEOUT OutputDevice;
	DWORD Volume, Pitch;
	bool IsPlaying, IsOpened, IsPaused;
	static bool Loop;
	
	static bool KeepPlaying;
	static VSTPlugin* DataServer;
	static WORD NumBuffers;
	static DWORD BufferSize;
	WORD BufferLength; //(miliseconds)
	WORD BufferCount;
	MMRESULT LastError;

	static char* tmpCache;
	
};
